Subject: Re: bug#22835: Autologin

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 28 Feb 2016 11:32:46 +0100

Andreas Enge <[email-masked]> writes:

> I am trying to create a configuration using slim-service with autologin.
>
> Looking at the code in gnu/services/xorg.scm, I find the following definition:
> (define* (slim-service #:key (slim slim)
>                        (allow-empty-passwords? #t) auto-login?
>                        (default-user "")
>                        (theme %default-slim-theme)
>                        (theme-name %default-slim-theme-name)
>                        (xauth xauth) (shepherd shepherd) (bash bash)
>                        (auto-login-session #~(string-append #$windowmaker
>                                                             "/bin/wmaker"))
>                        (startx (xorg-start-command)))
>
> The parameter auto-login-session is not documented in guix.texi.
>
> It also is a bit surprising; since I had added only xfce to my packages,
> I expected this to start. Or is this impossible to realise?

I have a working auto-login configuration using “modify-services”:

    (services (modify-services %desktop-services
                (slim-service-type config =>
                  (slim-configuration (inherit config)
                    (auto-login? #t)
                    (default-user "rekado")))))

~~ Ricardo